<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\DownloadZuWeitereKurse;

abstract class DownloadZuWeitereKurseFormularController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getRequestObj()
  {
    $requestObj = new DownloadZuWeitereKurseFormularRequest();
    $requestObj->dokumentId = \GetOperations::getVarValue('dokumentId');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DownloadZuWeitereKurseFormularPresenter($pUseCaseResponse);
  }
}